package com.gh.gamecenter.home

import com.gh.gamecenter.common.exposure.ExposureSource

class PageConfigure(
    val pageId: String = "",
    var refreshCount: Int = 0,
    val entrance: String = "",
    val transparentBackground: Boolean = false,
    val exposureSourceList: ArrayList<ExposureSource> = arrayListOf(),
    val isInSearchToolbarTabWrapperPage: Boolean = false
) {

    private val customExposureSource = ExposureSource(CUSTOM_PAGE_SOURCE, "")

    init {
        exposureSourceList.add(customExposureSource)
    }

    fun setCustomPageExposureSource(v: String) {
        customExposureSource.v = v
    }

    companion object {
        private const val CUSTOM_PAGE_SOURCE = "自定义页面"
    }
}